# contractors.agreements.list

List agreement documents sent through the contractor portal for signature (draft, requested, signed, declined or void), optionally for one contractor. For the agreement on file, signed copies, NDAs and terms, use contractorOps.agreements.list and contractorOps.terms.get.

`GET | POST /api/v1/accounting/contractors.agreements.list`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_contractors_agreements_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 9007199254740991. Default `0`. |
| `contractorId` | string (ID) |  | The ID of a contractor, from contractors.list. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/contractors.agreements.list \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/contractors.agreements.list
